Questa estensione è abilitata di default. Può essere disattivata utilizzando la seguente opzione al momento della compilazione: --disable-simplexml

Note: Before PHP 5.1.2, --enable-simplexml is required to enable this extension.

add a note add a note

User Contributed Notes 4 notes

shashank at shankee dot com
9 months ago
Installing simpleXml using composer:

"composer require ext-simplexml"

The extension is enabled by default in most distros. You can check the list of php modules using:

"php -m"
ottakar at freezed dot me
2 months ago
This XML module is not provided on a default php (v7) install on Debian GNU/Linux stretch (9.3)
Add it with: sudo apt-get install php-xml
morel dot josh at hotmail dot com
1 year ago
For Linux Ubuntu using PHP 7:
sudo apt-get install php7.0-xml
alvaro at digdib dot com
9 years ago
Gentoo users: emerge does not compile dev-lang/php with simplexml by default. To enable this option, add the flag simplexml to your USE variable and recompile php.
To Top